	const_def 2 ; object constants
	const BLACK_POND_TRAINER
	const BLACK_POND_RATICATE

BlackPondContainer_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

BlackPondTrainerTalk:
	faceplayer BLACK_POND_TRAINER
	checkevent EVENT_GOT_POKEBALL
	iffalse .GiveBalls
	opentext
	writetext .BewareTRText
	waitbutton
	closetext
	turnobject BLACK_POND_TRAINER, LEFT
	end

.GiveBalls:
	opentext
	writetext .GiveBallsText
	waitbutton
	verbosegiveitem POKE_BALL, 5
	iffalse .NoRoom
	closetext
	setevent EVENT_GOT_POKEBALL
	end

.NoRoom:
	writetext .NoRoomText
	waitbutton
	closetext
	end

.NoRoomText:
	text "Ah, you don't have"
	line "room for it."
	para "No problemo, come"
	line "back when you have"
	cont "some free space!"
	done

.GiveBallsText:
	text "Are you a #MON"
	line "trainer?"
	para "I haven't seen one"
	line "in a long time!"
	para "Here! Take this as"
	line "a gift. It's not"
	cont "like I'd use them"
	cont "anyway!"
	done

.BewareTRText:
	text "Since team Rocket"
	line "took over the"
	cont "world, everyone is"
	cont "afraid to raise"
	cont "#MON and see"
	cont "them snatched."
	done

BlackPondRaticate:
	faceplayer BLACK_POND_RATICATE
	opentext
	writetext .Cry
	waitbutton
	closetext
	end

.Cry:
	text "Raticate: Raaaat!"
	done

BlackPondContainer_MapEvents:
	db 0, 0 ; filler

	db 2 ; warp events
	warp_event 2, 9, BLACK_POND_CREEK, 5
	warp_event 3, 9, BLACK_POND_CREEK, 5

	db 0 ; coord events

	db 0 ; bg events

	db 2 ; object events
	object_event 3, 6, SPRITE_POKEFAN_M, SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, BlackPondTrainerTalk, -1
	object_event 4, 4, SPRITE_MONSTER, SPRITEMOVEDATA_WANDER, 1, 1, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, BlackPondRaticate, -1
