	const_def 2 ; object constants
	const DAWN_TOWN_GROUNDKEEPER_MOM

DawnTownGroundkeeperHouse_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

GroundkeeperMomTalk:
	faceplayer DAWN_TOWN_GROUNDKEEPER_MOM
	opentext
	checkevent EVENT_GOT_HM01_CUT
	iftrue .Swear
	checkevent EVENT_MET_GROUNDKEEPER
	iffalse .Worry
	writetext .GiveHMCutText
	waitbutton
	verbosegiveitem HM_CUT
	setevent EVENT_GOT_HM01_CUT
	writetext .ExplainCutText
	jump .done
.Swear:
	writetext .SwearText
	jump .done
.Worry:
	writetext .WorryText
.done:
	waitbutton
	closetext
	end

.SwearText:
	text "Groundkeeper, ah!"
	line "What a weird idea!"
	done

.WorryText:
	text "My son disappeared"
	line "after he left to"
	cont "cut some wood with"
	cont "the lumberjack."

	para "He has never been"
	line "seen again<…>"

	para "I hope he's fine!"
	done

.GiveHMCutText:
	text "You met my son?!"
	para "He has disappeared"
	line "and I have no idea"
	cont "where he could be!"
	para "<…>"
	para "Oh."
	para "I suppose I should"
	line "be happy for him."
	para "He'll not need"
	line "that anymore then!"
	para "Here."
	line "You can have it!"
	done

.ExplainCutText:
	text "Use it to teach"
	line "your #MON to"
	cont "cut small trees!"
	done

DawnTownGroundkeeperHouse_MapEvents:
	db 0, 0 ; filler

	db 2 ; warp events
	warp_event 2, 5, DAWN_TOWN, 3
	warp_event 3, 5, DAWN_TOWN, 3

	db 0 ; coord events

	db 0 ; bg events

	db 1 ; object events
	object_event 2, 3, SPRITE_GRANNY, SPRITEMOVEDATA_WANDER, 4, 4, -1, -1, PAL_NPC_YELLOW, OBJECTTYPE_SCRIPT, 0, GroundkeeperMomTalk, -1
